package com.alvin.tmp;

import static com.alvin.tmp.FunUtil.exec;

public class Tmp {
    public static int method(int a) {
        try {
            Thread.sleep(100);
            System.out.println(Thread.currentThread().getName());
        } catch (RuntimeException | InterruptedException e) {
            System.out.println(e.getMessage());
        }
        return a;
    }

    public static void main(String[] args) throws InterruptedException {
        for (int i = 0; i < 1000; i++) {
            int finalI = i;
            new Thread(() -> {
                exec(finalI, 1000, x -> method(x));
            }).start();
        }
    }


}
