package com.alvin.util;

/**
 * 字符串工具类
 *
 * @author mlamp
 * @date 2022/05/21
 */
public class StringUtil {
    /**
     * 是否为空白字符串，比较常用
     *
     * @param s 年代
     * @return {@link Boolean}
     */
    public static Boolean isBlank(String s) {
        if (s != null && s.replaceAll("\\s*", "").length() > 0) {
            return false;
        }
        return true;
    }

    public static Boolean isEmpty(String s) {
        if (s != null && s.length() > 0) {
            return false;
        }
        return true;
    }

    public static void main(String[] args) {
        System.out.println(isBlank(null));
        System.out.println(isBlank("           "));
        System.out.println(isEmpty("           "));
    }
}
