import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;

public class Solution820 {

    public int minimumLengthEncoding(String[] words) {
        String res = "";
        List<String> collect = Arrays.stream(words).sorted((o1, o2) -> -o1.length() + o2.length()).collect(Collectors.toList());
        for (String s : collect) {
            if (!res.contains(s + "#")) {
                res += s + "#";
            }
        }
        return res.length();
    }

    public static void main(String[] args) {
        System.out.println(new Solution820().minimumLengthEncoding(new String[]{"time", "me", "bell"}));
    }
}
