package classLoader;

/**
 * 红包算法
 *
 * @author apple
 * @date 2022/06/04
 */
public class RedPackets {
    public double[] redPackets(Double all, int num) {
        double[] res = new double[num];
        Double left = 0D;
        for (int i = 0; i < num; i++) {
            if (i == num - 1) {
                res[i] = all - left;
            } else {
                double res_i = Math.random() * (2 * (all - left) / (num - i)) + 0.01;
                res_i = (double) Math.round(res_i * 100) / 100;
                res[i] = res_i;
                left += res_i;
            }
        }
        return res;
    }

    public static void main(String[] args) throws InterruptedException {
        System.out.println(new RedPackets().redPackets(100d, 10));
    }
}
